Execute an instant proxy requestAsk AIpost https://api.staging.payrails.io/payment/providers/{providerId}/proxyExecutes a proxy request from our Vault to an external provider.Path ParamsproviderIduuidrequiredIdentifier of the resource in Payrails.Body ParamspaymentInstrumentIduuidrequiredPayment Instrument that should be used.headersobjectrequiredHeaders that should be used for the request to the provider. The "Content-Type" header is required and must be passed exactly once.headers objecturlurirequiredURL address of the payment provider server to be called.bodyobjectrequiredBody that should be used for the request to the provider.body objectencryptedSecurityCodestringEncrypted instrument security code replacing the security code from an earlier tokenization (if any). The instrument security code should be encrypted with the RSA public key provided by Payrails SDK using JWE with encryption algorithm RSA-OAEP-256 and content encryption A256CBC-HS512.preProcessorsarray of objectsArray of processors used when you need Payrails to make a customization in the request before forwarding it to the downstream destination, i.e. calculating a signature of body including sensitive data.preProcessorsADD objectpostProcessorsarray of objectsArray of processors used when you need Payrails to make a customization in the response of the downstream destination before forwarding it to your system. i.e. redact any sensitive information in the response from a payment processor.postProcessorsADD objectHeadersx-idempotency-keyuuidrequiredIdempotency key to be used. Sending again the same key would return the same result without re-executing the update.AcceptstringrequiredAccept key indicates which content types the client is able to understand.Content-TypestringrequiredContent Type key to indicate the original media type of the resource.AuthorizationstringAuthorization header used to authenticate requests. Mandatory for payments via Checkout and send the bearer token from Checkout.Responses 200Executed. 400Bad Request. 401Unauthorized. 403Insufficient Scope. 404Not Found. 429Too Many Requests.Updated 8 months ago